Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface OrderedTupleLiteralPart

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  OrderedTupleLiteralPartImpl

    public interface OrderedTupleLiteralPart

extends org.eclipse.emf.ecore.EModelElement

A representation of the model object 'Ordered Tuple Literal Part'.

The following features are supported:

- `Value`

See Also:
  `ImperativeOCLPackage.getOrderedTupleLiteralPart()`

Method Summary
`org.eclipse.ocl.ecore.OCLExpression` | `getValue()` Returns the value of the 'Value' containment reference
`void` | `setValue(org.eclipse.ocl.ecore.OCLExpression value)` Sets the value of the '`Value`' containment reference

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getValue

    org.eclipse.ocl.ecore.OCLExpression getValue()

  Returns the value of the 'Value' containment reference.

  If the meaning of the 'Value' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' containment reference.
  See Also:
    `setValue(OCLExpression)`, `ImperativeOCLPackage.getOrderedTupleLiteralPart_Value()`

### setValue

    void setValue(org.eclipse.ocl.ecore.OCLExpression value)

  Sets the value of the '`Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Value' containment reference.
  See Also:
    `getValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD